Allow using ideographic space (U+3000) as a separator for search terms

2022-11-02 07:47 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

The attached patch allows using "　" (ideographic space, U+3000) as a separator for search terms in addition to " " (U+0020).

You can perform AND searches by separating terms with a space in the search box or issue filter. Currently, "space" means

characters that match the regular expression `\s` in this context. It is sufficient in many cases to consider `\s` as space, but not

enough in some languages at least Japanese (and perhaps Chinese). This is because they use "　" (U+3000) when writing text, so

they often mistakenly enter U+3000 instead of U+0020 when they want to separate search terms.

Actually, many services such as Google, Bing, and GitHub treat U+3000 as a separator. I think it is a small but nice improvement for

those who use Redmine in languages that regularly use U+3000 if Redmine will support U+3000 as a separator for search terms.

Associated revisions

Revision 21952 - 2022-11-03 13:43 - Go MAEDA

Allow using ideographic space (U+3000) as a separator for search terms (#37878).

Patch by Go MAEDA.

History

#1 - 2022-11-02 07:59 - Go MAEDA

- File deleted (support-ideographic-space-separator.patch)

#2 - 2022-11-02 08:00 - Go MAEDA

- File support-ideographic-space-separator.patch added

#3 - 2022-11-02 16:17 - Holger Just

LGTM!

#4 - 2022-11-03 06:01 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#5 - 2022-11-03 13:43 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Files

support-ideographic-space-separator.patch 1.43 KB 2022-11-02 Go MAEDA
